Subject: Re: What's cooking in git.git (Sep 2020, #03; Wed, 9)

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Sep 2020 21:52:38 -0700

Eric Sunshine <[email-masked]> writes:

> On Wed, Sep 9, 2020 at 6:33 PM Junio C Hamano <[email-masked]> wrote:
>> * es/format-patch-interdiff-cleanup (2020-09-08) 3 commits
>>  - format-patch: use 'origin' as start of current-series-range when known
>>  - diff-lib: tighten show_interdiff()'s interface
>>  - diff: move show_interdiff() from its own file to diff-lib
>>
>>  Code cleanup with a slight behaviour change when "format-patch
>>  --range-diff=<prev> origin..HEAD" gives a single revision to
>>  <prev>.
>
> Perhaps this could be a bit more precise by saying something like:
>
>     Code cleanup and make "format-patch --range-diff=<prev>
>     <origin>..HEAD" not ignore <origin> when <prev> is a single
>     revision.

Sure.  I didn't realize we can be more specific without spending too
many more bytes.  Let me steal that description.

>     "git worktree add" learns "-d" as short for "--detach".

Thanks.